Bug 14594 - Samba test environment bootstrapping no longer works on CentOS 8
Summary: Samba test environment bootstrapping no longer works on CentOS 8
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure (show other bugs)
Version: 4.12.10
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-10 04:26 UTC by Martin Schwenke
Modified: 2021-01-14 08:34 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.13 (2.76 KB, patch)
2020-12-16 06:59 UTC, Martin Schwenke
abartlet: review+
martins: ci-passed+
Details
Patch for 4.12 (2.51 KB, patch)
2020-12-16 07:01 UTC, Martin Schwenke
abartlet: review+
martins: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2020-12-10 04:26:00 UTC
bootstrap/generated-dists/centos8/bootstrap.sh says:

  yum config-manager --set-enabled PowerTools -y
  yum config-manager --set-enabled Devel -y

However, in CentOS 8.3 thse repository IDs have been lowercased to "powertools and "devel".  This stops the bootstrap script from working recent CentOS 8 images.  Remarkably, even a test environment based on CentOS 8.2 images has this problem.

One solution is to instead do something like this:

  yum config-manager --set-enabled PowerTools -y || \
      yum config-manager --set-enabled powertools -y
  yum config-manager --set-enabled Devel -y || \
      yum config-manager --set-enabled devel -y
Comment 1 Samba QA Contact 2020-12-15 12:04:03 UTC
This bug was referenced in samba master:

1c59f49aaede8ec1662d4e49aef84fcd902a8a76
Comment 2 Martin Schwenke 2020-12-16 06:59:33 UTC
Created attachment 16368 [details]
Patch for 4.13

Has passed pipeline CI pipeline:

https://gitlab.com/samba-team/devel/samba/-/pipelines/230416015
Comment 3 Martin Schwenke 2020-12-16 07:01:25 UTC
Created attachment 16369 [details]
Patch for 4.12

Passed GitLab CI pipeline:

https://gitlab.com/samba-team/devel/samba/-/pipelines/230415841
Comment 4 Andrew Bartlett 2020-12-16 08:19:09 UTC
Comment on attachment 16369 [details]
Patch for 4.12

Have you built a pipeline with this on 4.12?
Comment 5 Andrew Bartlett 2020-12-16 08:21:10 UTC
Sorry, nevermind.

Looks good, assigning to Karolin.
Comment 6 Martin Schwenke 2021-01-05 09:22:51 UTC
Oops, Andrew never assigned this to Karolin.  :-(
Comment 7 Karolin Seeger 2021-01-05 11:50:34 UTC
(In reply to Martin Schwenke from comment #6)
Finally pushed to autobuild-v4-{13,12}-test.
Comment 8 Samba QA Contact 2021-01-05 12:51:12 UTC
This bug was referenced in samba v4-13-test:

c5159bd6d7678b62461da785a2994f1cf97ca5db
Comment 9 Martin Schwenke 2021-01-06 02:24:35 UTC
(In reply to Karolin Seeger from comment #7)
Thanks!
Comment 10 Samba QA Contact 2021-01-06 12:20:03 UTC
This bug was referenced in samba v4-12-test:

9b5dd480590fb4693547e9a1e27452058c0f5da8
Comment 11 Karolin Seeger 2021-01-07 08:13:16 UTC
Closing out bug report.

Thanks!
Comment 12 Samba QA Contact 2021-01-14 08:34:18 UTC
This bug was referenced in samba v4-12-stable (Release samba-4.12.11):

9b5dd480590fb4693547e9a1e27452058c0f5da8